> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a ship

> Complete a ship

### Path parameters

<ParamField path="id" type="string" required>
  Ship task ID
</ParamField>

### Request body

`CompleteShipRequest`

<ParamField body="shipped_by" type="string,null" />

<ParamField body="shipping_cost" type="string,null">
  Decimal shipping cost as a string.
</ParamField>

<ParamField body="tracking_number" type="string" required />

### Responses

<ResponseField name="200" type="ShipTaskResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/fulfillment/ships/{id}/complete' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "shipped_by": null,
    "shipping_cost": null,
    "tracking_number": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "assigned_to": null,
    "carrier": null,
    "created_at": "string",
    "id": "string",
    "order_id": "string",
    "pack_task_id": "string",
    "shipment_id": "string",
    "shipping_cost": null,
    "status": "string",
    "tracking_number": null
  }
  ```
</ResponseExample>
